openapi: 3.1.0 info: title: Energy Data API description: "V0: This API is currently accessible to the public, and we anticipate\ \ future updates and enhancements." version: v0 externalDocs: url: / servers: [] tags: [] paths: /energy-data/v0/meta/{entity}: get: tags: - Meta summary: Meta Endpoint for entity and dataset operationId: meta parameters: - name: entity in: path description: Entity type for which metadata is requested required: true deprecated: false explode: false schema: type: string title: String example: price-areas responses: "200": description: Provides metadata headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.MetaResponse" examples: metaExample: value: "{\"meta\":{\"created\":\"2026-09-22T12:35:11+02:00\",\"\ lastUpdated\":\"2026-09-22T12:35:11+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/meta/{entity}\"},\"data\"\ :{\"type\":\"entity\",\"id\":\"price-area\",\"attributes\":{\"\ description\":\"Metadata for price area\",\"noOfDataSets\":2}}}" "400": description: Invalid request parameters or entity headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: invalidEntity: value: "{\"errors\":[{\"status\":\"400\",\"title\":\"Invalid query\ \ parameter\",\"detail\":\"The requested entity is invalid or\ \ unsupported.\",\"links\":{\"self\":\"https://api.elhub.no/energy-data/v0/meta/{entity}\"\ }}]}" "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: unexpectedError: value: "{\"errors\":[{\"status\":\"500\",\"title\":\"Unexpected\ \ server error. Try again later.\",\"detail\":\"An unexpected\ \ error occurred on the server.\",\"links\":{\"self\":\"https://api.elhub.no/energy-data/v0/meta/{entity}\"\ }}]}" deprecated: false /energy-data/v0/parties: get: tags: - Party summary: Get list of parties operationId: parties parameters: [] responses: "200": description: When request is valid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.PartyResponse" examples: PartyExample: summary: PartyExample value: "{\"meta\":{\"created\":\"2024-10-29T12:16:37+01:00\"},\"\ links\":{\"self\":\"api.elhub.no/energy-data/v0/parties\"},\"\ data\":[{\"type\":\"parties\",\"id\":\"String\",\"attributes\"\ :{\"gln\":\"String\",\"partyTypes\":[\"String\"],\"name\":\"String\"\ ,\"organisationNumber\":\"String\"},\"relationships\":{\"grid-area\"\ :{\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\"}]}}},{\"\ type\":\"grid-areas\",\"id\":\"String\",\"attributes\":{\"name\"\ :\"String\",\"status\":\"String\",\"eic\":\"String\"},\"relationships\"\ :{\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}}},{\"type\":\"price-areas\",\"id\":\"String\",\"attributes\"\ :{\"name\":\"String\",\"eic\":\"String\",\"country\":\"String\"\ }}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/parties" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } deprecated: false /energy-data/v0/parties/{id}: get: tags: - Party summary: Get list of parties operationId: parties_id parameters: - name: id in: path description: A valid party id returned from /parties required: true deprecated: false explode: false schema: type: string title: String example: "8000400000039" responses: "200": description: When request is valid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.PartyResponse" examples: PartyExample: summary: PartyExample value: "{\"meta\":{\"created\":\"2024-10-29T12:16:37+01:00\"},\"\ links\":{\"self\":\"api.elhub.no/energy-data/v0/parties\"},\"\ data\":[{\"type\":\"parties\",\"id\":\"String\",\"attributes\"\ :{\"gln\":\"String\",\"partyTypes\":[\"String\"],\"name\":\"String\"\ ,\"organisationNumber\":\"String\"},\"relationships\":{\"grid-area\"\ :{\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\"}]}}},{\"\ type\":\"grid-areas\",\"id\":\"String\",\"attributes\":{\"name\"\ :\"String\",\"status\":\"String\",\"eic\":\"String\"},\"relationships\"\ :{\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}}},{\"type\":\"price-areas\",\"id\":\"String\",\"attributes\"\ :{\"name\":\"String\",\"eic\":\"String\",\"country\":\"String\"\ }}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/parties/{id}" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } deprecated: false /energy-data/v0/price-areas: get: tags: - Price area summary: Get list of price areas and aggregations operationId: price_areas parameters: - name: dataset in: query description: The dataset name. required: false deprecated: false explode: false schema: type: string title: String example: ConsumptionPerGroupMbaHour - name: startDate in: query description: "Start date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone) of aggregated data (inclusive). If empty, it will be set to\ \ a date one month in the past from endDate." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-05T03:00:00+02:00 - name: endDate in: query description: "End date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo timezone)\ \ of aggregated data (inclusive). The time period from startDate to endDate\ \ cannot exceed one month. If empty, it will be set to current date and\ \ startDate will be set to a date one month in the past." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-15T03:00:00+02:00 - name: consumptionGroup in: query description: The consumption group. required: false deprecated: false explode: false schema: type: string title: String example: household - name: productionGroup in: query description: The production group. required: false deprecated: false explode: false schema: type: string title: String example: hydro - name: estimatedAnnualConsumption in: query description: "The estimated annual consumption, integer between 1 and 500000" required: false deprecated: false explode: false schema: type: string title: String example: "10000" - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the onbehalf party required: false deprecated: false explode: false schema: type: string title: String responses: "200": description: When request is OK. Choose a different dataset under 'Examples' to see different responses headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.PriceAreaResponse" examples: '[No dataset chosen]': value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas\"},\"data\"\ :[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\":{\"\ name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\"}}]}" CompletenessDailyPerMba: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=CompletenessDailyPerMba\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"CompletenessDailyPerMba\"\ :[{\"actualIntervalCount\":\"Int\",\"combinedConsumptionActualIntervalCount\"\ :\"Int\",\"combinedConsumptionExpectedIntervalCount\":\"Int\"\ ,\"combinedProductionActualIntervalCount\":\"Int\",\"combinedProductionExpectedIntervalCount\"\ :\"Int\",\"consumptionFifteenActualIntervalCount\":\"Int\",\"\ consumptionFifteenExpectedIntervalCount\":\"Int\",\"consumptionSixtyActualIntervalCount\"\ :\"Int\",\"consumptionSixtyExpectedIntervalCount\":\"Int\",\"\ estimatedAnnualConsumptionAll\":\"Long\",\"estimatedAnnualConsumptionCompleted\"\ :\"Long\",\"estimatedIntervalCount\":\"Int\",\"exchangeActualIntervalCount\"\ :\"Int\",\"exchangeExpectedIntervalCount\":\"Int\",\"expectedIntervalCount\"\ :\"Int\",\"finalEstimatedIntervalCount\":\"Int\",\"installedCapacityAll\"\ :\"Long\",\"installedCapacityCompleted\":\"Long\",\"largeProductionActualIntervalCount\"\ :\"Int\",\"largeProductionExpectedIntervalCount\":\"Int\",\"lastUpdatedTime\"\ :\"String\",\"loadLimitAll\":\"Long\",\"loadLimitCompleted\":\"\ Long\",\"meteredIntervalCount\":\"Int\",\"meteringPointCount\"\ :\"Int\",\"notCompleteMeteringPointCount\":\"Int\",\"priceArea\"\ :\"String\",\"temporaryIntervalCount\":\"Int\",\"usageDateId\"\ :\"Int\"}]}}]}" ConsumptionPerGroupMbaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=ConsumptionPerGroupMbaHour\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"ConsumptionPerGroupMbaHour\"\ :[{\"consumptionGroup\":\"String\",\"endTime\":\"String\",\"lastUpdatedTime\"\ :\"String\",\"meteringPointCount\":\"Int\",\"priceArea\":\"String\"\ ,\"quantityKwh\":\"Float\",\"startTime\":\"String\"}]}}]}" ProductionPerGroupMbaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=ProductionPerGroupMbaHour\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"ProductionPerGroupMbaHour\"\ :[{\"endTime\":\"String\",\"lastUpdatedTime\":\"String\",\"priceArea\"\ :\"String\",\"productionGroup\":\"String\",\"quantityKwh\":\"\ Float\",\"startTime\":\"String\"}]}}]}" ProductionPerMba15Min: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=ProductionPerMba15Min\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"ProductionPerMba15Min\"\ :[{\"endTime\":\"String\",\"lastUpdatedTime\":\"String\",\"priceArea\"\ :\"String\",\"quantityKwh\":\"Float\",\"startTime\":\"String\"\ }]}}]}" ProductionPerGroupMba15Min: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=ProductionPerGroupMba15Min\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"ProductionPerGroupMba15Min\"\ :[{\"endTime\":\"String\",\"lastUpdatedTime\":\"String\",\"priceArea\"\ :\"String\",\"productionGroup\":\"String\",\"quantityKwh\":\"\ Float\",\"startTime\":\"String\"}]}}]}" ExchangePerMbaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=ExchangePerMbaHour\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"ExchangePerMbaHour\"\ :[{\"adjacentPriceArea\":\"String\",\"endTime\":\"String\",\"\ exchangeInQuantityKwh\":\"Float\",\"exchangeOutQuantityKwh\":\"\ Float\",\"lastUpdatedTime\":\"String\",\"priceArea\":\"String\"\ ,\"startTime\":\"String\"}]}}]}" ExchangePerMba15Min: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=ExchangePerMba15Min\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"ExchangePerMba15Min\"\ :[{\"adjacentPriceArea\":\"String\",\"endTime\":\"String\",\"\ exchangeInQuantityKwh\":\"Float\",\"exchangeOutQuantityKwh\":\"\ Float\",\"lastUpdatedTime\":\"String\",\"priceArea\":\"String\"\ ,\"startTime\":\"String\"}]}}]}" LossPerMbaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=LossPerMbaHour\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"LossPerMbaHour\"\ :[{\"calculateLossFraction\":\"Float\",\"calculatedLossQuantityKwh\"\ :\"Float\",\"consumptionQuantityKwh\":\"Float\",\"endTime\":\"\ String\",\"exchangeInQuantityKwh\":\"Float\",\"exchangeOutQuantityKwh\"\ :\"Float\",\"lastUpdatedTime\":\"String\",\"netInfeedQuantityKwh\"\ :\"Float\",\"priceArea\":\"String\",\"productionQuantityKwh\"\ :\"Float\",\"startTime\":\"String\"}]}}]}" CompletenessDailyPerBalanceSupplierMba: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=CompletenessDailyPerBalanceSupplierMba\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"CompletenessDailyPerBalanceSupplierMba\"\ :[{\"actualIntervalCount\":\"Int\",\"balanceSupplier\":\"String\"\ ,\"combinedConsumptionActualIntervalCount\":\"Int\",\"combinedConsumptionExpectedIntervalCount\"\ :\"Int\",\"combinedProductionActualIntervalCount\":\"Int\",\"\ combinedProductionExpectedIntervalCount\":\"Int\",\"consumptionFifteenActualIntervalCount\"\ :\"Int\",\"consumptionFifteenExpectedIntervalCount\":\"Int\",\"\ consumptionSixtyActualIntervalCount\":\"Int\",\"consumptionSixtyExpectedIntervalCount\"\ :\"Int\",\"estimatedAnnualConsumptionAll\":\"Long\",\"estimatedAnnualConsumptionCompleted\"\ :\"Long\",\"estimatedIntervalCount\":\"Int\",\"expectedIntervalCount\"\ :\"Int\",\"finalEstimatedIntervalCount\":\"Int\",\"installedCapacityAll\"\ :\"Long\",\"installedCapacityCompleted\":\"Long\",\"largeProductionActualIntervalCount\"\ :\"Int\",\"largeProductionExpectedIntervalCount\":\"Int\",\"lastUpdatedTime\"\ :\"String\",\"loadLimitAll\":\"Long\",\"loadLimitCompleted\":\"\ Long\",\"meteredIntervalCount\":\"Int\",\"meteringPointCount\"\ :\"Int\",\"notCompleteMeteringPointCount\":\"Int\",\"priceArea\"\ :\"String\",\"temporaryIntervalCount\":\"Int\",\"usageDateId\"\ :\"Int\"}]}}]}" ConsumptionPerBalanceSupplierMbaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=ConsumptionPerBalanceSupplierMbaHour\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"ConsumptionPerBalanceSupplierMbaHour\"\ :[{\"balanceSupplier\":\"String\",\"endTime\":\"String\",\"lastUpdatedTime\"\ :\"String\",\"meteringPointCount\":\"Int\",\"priceArea\":\"String\"\ ,\"quantityKwh\":\"Float\",\"startTime\":\"String\"}]}}]}" ProductionPerBalanceSupplierMeteringPointTypeCodeMbaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=ProductionPerBalanceSupplierMeteringPointTypeCodeMbaHour\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"ProductionPerBalanceSupplierMeteringPointTypeCodeMbaHour\"\ :[{\"balanceSupplier\":\"String\",\"endTime\":\"String\",\"lastUpdatedTime\"\ :\"String\",\"meteringPointCount\":\"Int\",\"meteringPointTypeCode\"\ :\"String\",\"priceArea\":\"String\",\"quantityKwh\":\"Float\"\ ,\"startTime\":\"String\"}]}}]}" NorgesprisConsumptionPerGroupEacMba: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=NorgesprisConsumptionPerGroupEacMbaHour\"\ },\"data\":[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\"\ :{\"name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\",\"NorgesprisConsumptionPerGroupEacMbaHour\"\ :[{\"consumptionGroup\":\"String\",\"endTime\":\"String\",\"estimatedAnnualConsumptionFrom\"\ :\"Long\",\"estimatedAnnualConsumptionTo\":\"Long\",\"lastUpdatedTime\"\ :\"String\",\"meteringPointCountNorwayPrice\":\"Int\",\"meteringPointCountNotNorwayPrice\"\ :\"Int\",\"quantityKwhNorwayPrice\":\"Float\",\"quantityKwhNotNorwayPrice\"\ :\"Float\",\"startTime\":\"String\",\"totalMeteringPointCount\"\ :\"Int\",\"totalQuantityKwh\":\"Float\"}]}}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/price-areas" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Missing authentication: value: |- { "errors": [ { "status": "401", "title": "String", "detail": "creationTime: 2024-10-28T14:40:21+01:00" } ] } "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unauthorized request: value: |- { "errors": [ { "status": "403", "title": "String", "detail": "creationTime: 2024-10-28T14:41:55+01:00" } ] } deprecated: false /energy-data/v0/price-areas/{id}: get: tags: - Price area summary: Get list of price areas and aggregations operationId: price_areas_id parameters: - name: id in: path description: A valid price area id returned from /price-areas required: true deprecated: false explode: false schema: type: string title: String example: NO1 - name: dataset in: query description: The dataset name. required: false deprecated: false explode: false schema: type: string title: String example: ConsumptionPerGroupMbaHour - name: startDate in: query description: "Start date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone) of aggregated data (inclusive). If empty, it will be set to\ \ a date one month in the past from endDate." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-05T03:00:00+02:00 - name: endDate in: query description: "End date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo timezone)\ \ of aggregated data (inclusive). The time period from startDate to endDate\ \ cannot exceed one month. If empty, it will be set to current date and\ \ startDate will be set to a date one month in the past." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-15T03:00:00+02:00 - name: consumptionGroup in: query description: The consumption group. required: false deprecated: false explode: false schema: type: string title: String example: household - name: productionGroup in: query description: The production group. required: false deprecated: false explode: false schema: type: string title: String example: hydro - name: estimatedAnnualConsumption in: query description: "The estimated annual consumption, integer between 1 and 500000" required: false deprecated: false explode: false schema: type: string title: String example: "10000" - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the onbehalf party required: false deprecated: false explode: false schema: type: string title: String responses: "200": description: When request is OK. Choose a different dataset under 'Examples' to see different responses headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.PriceAreaResponse" examples: '[No dataset chosen]': value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/price-areas\"},\"data\"\ :[{\"type\":\"price-areas\",\"id\":\"NO1\",\"attributes\":{\"\ name\":\"NO5\",\"eic\":\"String\",\"country\":\"NO\"}}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/price-areas/{id}" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Missing authentication: value: |- { "errors": [ { "status": "401", "title": "String", "detail": "creationTime: 2024-10-28T14:40:21+01:00" } ] } "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unauthorized request: value: |- { "errors": [ { "status": "403", "title": "String", "detail": "creationTime: 2024-10-28T14:41:55+01:00" } ] } deprecated: false /energy-data/v0/price-areas{suffix}: get: tags: - Price area summary: Get list of price areas and aggregations operationId: price_areas_export parameters: - name: suffix in: path description: Suffix to specify type of data returned. required: true deprecated: false explode: false schema: type: string title: String example: .csv - name: dataset in: query description: The dataset name. required: true deprecated: false explode: false schema: type: string title: String example: ConsumptionPerGroupMbaHour - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the onbehalf party required: false deprecated: false explode: false schema: type: string title: String responses: "302": description: CSV export redirect headers: Location: description: Redirect target (download URL) required: false deprecated: false schema: type: string title: String "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/price-areas{suffix}" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" deprecated: false /energy-data/v0/grid-areas: get: tags: - Grid area summary: Get list of Grid Areas operationId: grid_areas parameters: - name: dataset in: query description: The dataset name. required: false deprecated: false explode: false schema: type: string title: String example: ConsumptionPerGroupMgaHour - name: startDate in: query description: "Start date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone) of aggregated data (inclusive). If empty, it will be set to\ \ a date one month in the past from endDate." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-05T03:00:00+02:00 - name: endDate in: query description: "End date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo timezone)\ \ of aggregated data (inclusive). The time period from startDate to endDate\ \ cannot exceed one month. If empty, it will be set to current date and\ \ startDate will be set to a date one month in the past." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-15T03:00:00+02:00 - name: consumptionGroup in: query description: The consumption group. required: false deprecated: false explode: false schema: type: string title: String example: household - name: productionGroup in: query description: The production group. required: false deprecated: false explode: false schema: type: string title: String example: hydro - name: consumptionTypeCode in: query description: The consumption type code. required: false deprecated: false explode: false schema: type: string title: String example: A04 - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the on behalf party required: false deprecated: false explode: false schema: type: string title: String responses: "200": description: When request is valid. Choose a different dataset under 'Examples' to see different responses headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.GridAreaResponse" examples: '[No dataset chosen]': value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas\"},\"data\"\ :[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\"}}],\"included\":[{\"type\":\"parties\"\ ,\"id\":\"String\",\"attributes\":{\"gln\":\"String\",\"partyTypes\"\ :[\"String\"],\"name\":\"String\",\"organisationNumber\":\"String\"\ }},{\"type\":\"price-areas\",\"id\":\"String\",\"attributes\"\ :{\"name\":\"String\",\"eic\":\"String\",\"country\":\"NO\"}}]}" CompletenessDailyPerMga: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas?dataset=CompletenessDailyPerMga\"\ },\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\",\"CompletenessDailyPerMga\":[{\"actualIntervalCount\"\ :\"Int\",\"actualWithAdjacentExchangeIntervalCount\":\"Int\",\"\ adjacentExchangeActualIntervalCount\":\"Int\",\"adjacentExchangeExpectedIntervalCount\"\ :\"Int\",\"combinedConsumptionActualIntervalCount\":\"Int\",\"\ combinedConsumptionExpectedIntervalCount\":\"Int\",\"combinedProductionActualIntervalCount\"\ :\"Int\",\"combinedProductionExpectedIntervalCount\":\"Int\",\"\ consumptionFifteenActualIntervalCount\":\"Int\",\"consumptionFifteenExpectedIntervalCount\"\ :\"Int\",\"consumptionSixtyActualIntervalCount\":\"Int\",\"consumptionSixtyExpectedIntervalCount\"\ :\"Int\",\"estimatedIntervalCount\":\"Int\",\"exchangeActualIntervalCount\"\ :\"Int\",\"exchangeExpectedIntervalCount\":\"Int\",\"expectedIntervalCount\"\ :\"Int\",\"expectedWithAdjacentExchangeIntervalCount\":\"Int\"\ ,\"finalEstimatedIntervalCount\":\"Int\",\"gridArea\":\"String\"\ ,\"installedCapacityAll\":\"Long\",\"installedCapacityCompleted\"\ :\"Long\",\"largeProductionActualIntervalCount\":\"Int\",\"largeProductionExpectedIntervalCount\"\ :\"Int\",\"lastUpdatedTime\":\"String\",\"loadLimitAll\":\"Long\"\ ,\"loadLimitCompleted\":\"Long\",\"meteredIntervalCount\":\"Int\"\ ,\"meteringPointCount\":\"Int\",\"notCompleteAdjacentExchangePointCount\"\ :\"Int\",\"notCompleteMeteringPointCount\":\"Int\",\"priceArea\"\ :\"String\",\"temporaryIntervalCount\":\"Int\",\"usageDateId\"\ :\"Int\"}]}}],\"included\":[{\"type\":\"parties\",\"id\":\"String\"\ ,\"attributes\":{\"gln\":\"String\",\"partyTypes\":[\"String\"\ ],\"name\":\"String\",\"organisationNumber\":\"String\"}},{\"\ type\":\"price-areas\",\"id\":\"String\",\"attributes\":{\"name\"\ :\"String\",\"eic\":\"String\",\"country\":\"NO\"}}]}" ConsumptionPerGroupMgaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas?dataset=ConsumptionPerGroupMgaHour\"\ },\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\",\"ConsumptionPerGroupMgaHour\":[{\"\ consumptionGroup\":\"String\",\"endTime\":\"String\",\"gridArea\"\ :\"String\",\"lastUpdatedTime\":\"String\",\"meteringPointCount\"\ :\"Int\",\"quantityKwh\":\"Float\",\"startTime\":\"String\"}]}}],\"\ included\":[{\"type\":\"parties\",\"id\":\"String\",\"attributes\"\ :{\"gln\":\"String\",\"partyTypes\":[\"String\"],\"name\":\"String\"\ ,\"organisationNumber\":\"String\"}},{\"type\":\"price-areas\"\ ,\"id\":\"String\",\"attributes\":{\"name\":\"String\",\"eic\"\ :\"String\",\"country\":\"NO\"}}]}" ExchangePerMgaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas?dataset=ExchangePerMgaHour\"\ },\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\",\"ExchangePerMgaHour\":[{\"adjacentGridArea\"\ :\"String\",\"adjacentPriceArea\":\"String\",\"endTime\":\"String\"\ ,\"exchangeInQuantityKwh\":\"Float\",\"exchangeOutQuantityKwh\"\ :\"Float\",\"gridArea\":\"String\",\"lastUpdatedTime\":\"String\"\ ,\"priceArea\":\"String\",\"startTime\":\"String\"}]}}],\"included\"\ :[{\"type\":\"parties\",\"id\":\"String\",\"attributes\":{\"gln\"\ :\"String\",\"partyTypes\":[\"String\"],\"name\":\"String\",\"\ organisationNumber\":\"String\"}},{\"type\":\"price-areas\",\"\ id\":\"String\",\"attributes\":{\"name\":\"String\",\"eic\":\"\ String\",\"country\":\"NO\"}}]}" LossPerMgaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas?dataset=LossPerMgaHour\"\ },\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\",\"LossPerMgaHour\":[{\"calculatedLossFraction\"\ :\"Float\",\"calculatedLossQuantityKwh\":\"Float\",\"endTime\"\ :\"String\",\"gridArea\":\"String\",\"lastUpdatedTime\":\"String\"\ ,\"netInfeedQuantityKwh\":\"Float\",\"priceArea\":\"String\",\"\ startTime\":\"String\"}]}}],\"included\":[{\"type\":\"parties\"\ ,\"id\":\"String\",\"attributes\":{\"gln\":\"String\",\"partyTypes\"\ :[\"String\"],\"name\":\"String\",\"organisationNumber\":\"String\"\ }},{\"type\":\"price-areas\",\"id\":\"String\",\"attributes\"\ :{\"name\":\"String\",\"eic\":\"String\",\"country\":\"NO\"}}]}" CompletenessDailyPerBalanceSupplierMga: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas?dataset=CompletenessDailyPerBalanceSupplierMga\"\ },\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\",\"CompletenessDailyPerBalanceSupplierMga\"\ :[{\"actualIntervalCount\":\"Int\",\"balanceSupplier\":\"String\"\ ,\"combinedConsumptionActualIntervalCount\":\"Int\",\"combinedConsumptionExpectedIntervalCount\"\ :\"Int\",\"combinedProductionActualIntervalCount\":\"Int\",\"\ combinedProductionExpectedIntervalCount\":\"Int\",\"consumptionFifteenActualIntervalCount\"\ :\"Int\",\"consumptionFifteenExpectedIntervalCount\":\"Int\",\"\ consumptionSixtyActualIntervalCount\":\"Int\",\"consumptionSixtyExpectedIntervalCount\"\ :\"Int\",\"estimatedAnnualConsumptionAll\":\"Long\",\"estimatedAnnualConsumptionCompleted\"\ :\"Long\",\"estimatedIntervalCount\":\"Int\",\"expectedIntervalCount\"\ :\"Int\",\"finalEstimatedIntervalCount\":\"Int\",\"gridArea\"\ :\"String\",\"installedCapacityAll\":\"Long\",\"installedCapacityCompleted\"\ :\"Long\",\"largeProductionActualIntervalCount\":\"Int\",\"largeProductionExpectedIntervalCount\"\ :\"Int\",\"lastUpdatedTime\":\"String\",\"loadLimitAll\":\"Long\"\ ,\"loadLimitCompleted\":\"Long\",\"meteredIntervalCount\":\"Int\"\ ,\"meteringPointCount\":\"Int\",\"notCompleteMeteringPointCount\"\ :\"Int\",\"priceArea\":\"String\",\"temporaryIntervalCount\":\"\ Int\",\"usageDateId\":\"Int\"}]}}],\"included\":[{\"type\":\"\ parties\",\"id\":\"String\",\"attributes\":{\"gln\":\"String\"\ ,\"partyTypes\":[\"String\"],\"name\":\"String\",\"organisationNumber\"\ :\"String\"}},{\"type\":\"price-areas\",\"id\":\"String\",\"attributes\"\ :{\"name\":\"String\",\"eic\":\"String\",\"country\":\"NO\"}}]}" ConsumptionPerBalanceSupplierMgaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas?dataset=ConsumptionPerBalanceSupplierMgaHour\"\ },\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\",\"ConsumptionPerBalanceSupplierMgaHour\"\ :[{\"balanceSupplier\":\"String\",\"endTime\":\"String\",\"gridArea\"\ :\"String\",\"lastUpdatedTime\":\"String\",\"meteringPointCount\"\ :\"Int\",\"quantityKwh\":\"Float\",\"startTime\":\"String\"}]}}],\"\ included\":[{\"type\":\"parties\",\"id\":\"String\",\"attributes\"\ :{\"gln\":\"String\",\"partyTypes\":[\"String\"],\"name\":\"String\"\ ,\"organisationNumber\":\"String\"}},{\"type\":\"price-areas\"\ ,\"id\":\"String\",\"attributes\":{\"name\":\"String\",\"eic\"\ :\"String\",\"country\":\"NO\"}}]}" ProductionPerBalanceSupplierMeteringPointTypeMgaHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas?dataset=ProductionPerBalanceSupplierMeteringPointTypeMgaHour\"\ },\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\",\"ProductionPerBalanceSupplierMeteringPointTypeMgaHour\"\ :[{\"balanceSupplier\":\"String\",\"endTime\":\"String\",\"gridArea\"\ :\"String\",\"lastUpdatedTime\":\"String\",\"meteringPointCount\"\ :\"Int\",\"meteringPointTypeCode\":\"String\",\"priceArea\":\"\ String\",\"quantityKwh\":\"Float\",\"startTime\":\"String\"}]}}],\"\ included\":[{\"type\":\"parties\",\"id\":\"String\",\"attributes\"\ :{\"gln\":\"String\",\"partyTypes\":[\"String\"],\"name\":\"String\"\ ,\"organisationNumber\":\"String\"}},{\"type\":\"price-areas\"\ ,\"id\":\"String\",\"attributes\":{\"name\":\"String\",\"eic\"\ :\"String\",\"country\":\"NO\"}}]}" CostPerMgaMonth: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas?dataset=CostPerMgaMonth\"\ },\"data\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\",\"CostPerMgaMonth\":[{\"consumptionKwh\"\ :\"java.math.BigDecimal\",\"consumptionKwhNorwayPrice\":\"java.math.BigDecimal\"\ ,\"consumptionKwhSpotPrice\":\"java.math.BigDecimal\",\"consumptionKwhSupportPrice\"\ :\"java.math.BigDecimal\",\"costNorwayPrice\":\"java.math.BigDecimal\"\ ,\"costSpotPrice\":\"java.math.BigDecimal\",\"costSupportPrice\"\ :\"java.math.BigDecimal\",\"countEligibleForNorwayPrice\":\"Int\"\ ,\"countEligibleForSupportPrice\":\"Int\",\"countNorwayPriceContract\"\ :\"Int\",\"countNorwayPriceContractEndOfMonth\":\"Int\",\"countSupportPriceContract\"\ :\"Int\",\"countSupportPriceContractEndOfMonth\":\"Int\",\"endTime\"\ :\"String\",\"lastUpdatedTime\":\"String\",\"startTime\":\"String\"\ ,\"supportNorwayPrice\":\"java.math.BigDecimal\",\"supportSupportPrice\"\ :\"java.math.BigDecimal\",\"totalCost\":\"java.math.BigDecimal\"\ ,\"yearMonth\":\"Int\"}]}}],\"included\":[{\"type\":\"parties\"\ ,\"id\":\"String\",\"attributes\":{\"gln\":\"String\",\"partyTypes\"\ :[\"String\"],\"name\":\"String\",\"organisationNumber\":\"String\"\ }},{\"type\":\"price-areas\",\"id\":\"String\",\"attributes\"\ :{\"name\":\"String\",\"eic\":\"String\",\"country\":\"NO\"}}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/grid-areas" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Missing authentication: value: |- { "errors": [ { "status": "401", "title": "String", "detail": "creationTime: 2024-10-28T14:40:21+01:00" } ] } "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unauthorized request: value: |- { "errors": [ { "status": "403", "title": "String", "detail": "creationTime: 2024-10-28T14:41:55+01:00" } ] } deprecated: false /energy-data/v0/grid-areas/{id}: get: tags: - Grid area summary: Get list of Grid Areas operationId: grid_areas_id parameters: - name: id in: path description: A valid grid area id returned from /grid-areas required: true deprecated: false explode: false schema: type: string title: String example: 50YXGP9PZT7VC-7A - name: dataset in: query description: The dataset name. required: false deprecated: false explode: false schema: type: string title: String example: ConsumptionPerGroupMgaHour - name: startDate in: query description: "Start date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone) of aggregated data (inclusive). If empty, it will be set to\ \ a date one month in the past from endDate." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-05T03:00:00+02:00 - name: endDate in: query description: "End date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo timezone)\ \ of aggregated data (inclusive). The time period from startDate to endDate\ \ cannot exceed one month. If empty, it will be set to current date and\ \ startDate will be set to a date one month in the past." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-15T03:00:00+02:00 - name: consumptionGroup in: query description: The consumption group. required: false deprecated: false explode: false schema: type: string title: String example: household - name: productionGroup in: query description: The production group. required: false deprecated: false explode: false schema: type: string title: String example: hydro - name: consumptionTypeCode in: query description: The consumption type code. required: false deprecated: false explode: false schema: type: string title: String example: A04 - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the on behalf party required: false deprecated: false explode: false schema: type: string title: String responses: "200": description: When request is valid. Choose a different dataset under 'Examples' to see different responses headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.GridAreaResponse" examples: '[No dataset chosen]': value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\",\"\ lastUpdated\":\"2023-10-18T12:00:00+02:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/grid-areas\"},\"data\"\ :[{\"type\":\"grid-areas\",\"id\":\"String\",\"relationships\"\ :{\"grid-owner\":{\"data\":{\"type\":\"parties\",\"id\":\"String\"\ }},\"price-area\":{\"data\":{\"type\":\"price-areas\",\"id\":\"\ String\"}}},\"attributes\":{\"name\":\"String\",\"status\":\"\ Active\",\"eic\":\"String\"}}],\"included\":[{\"type\":\"parties\"\ ,\"id\":\"String\",\"attributes\":{\"gln\":\"String\",\"partyTypes\"\ :[\"String\"],\"name\":\"String\",\"organisationNumber\":\"String\"\ }},{\"type\":\"price-areas\",\"id\":\"String\",\"attributes\"\ :{\"name\":\"String\",\"eic\":\"String\",\"country\":\"NO\"}}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/grid-areas/{id}" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" deprecated: false /energy-data/v0/grid-areas{suffix}: get: tags: - Grid area summary: Get list of Grid Areas operationId: grid_areas_export parameters: - name: suffix in: path description: Suffix to specify type of data returned. required: true deprecated: false explode: false schema: type: string title: String example: .csv - name: dataset in: query description: The dataset name. required: true deprecated: false explode: false schema: type: string title: String example: ConsumptionPerGroupMgaHour - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the on behalf party required: false deprecated: false explode: false schema: type: string title: String responses: "302": description: CSV export redirect headers: Location: description: Redirect target (download URL) required: false deprecated: false schema: type: string title: String "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/grid-areas{suffix}" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Missing authentication: value: |- { "errors": [ { "status": "401", "title": "String", "detail": "creationTime: 2024-10-28T14:40:21+01:00" } ] } "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unauthorized request: value: |- { "errors": [ { "status": "403", "title": "String", "detail": "creationTime: 2024-10-28T14:41:55+01:00" } ] } deprecated: false /energy-data/v0/municipalities: get: tags: - Municipality summary: Get list of Municipalities and aggregations operationId: municipalities parameters: - name: dataset in: query description: The dataset name. required: false deprecated: false explode: false schema: type: string title: String example: ConsumptionPerGroupMunicipalityHour - name: startDate in: query description: "Start date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone) of aggregated data (inclusive). If startDate is empty, it will\ \ be set to a date one month in the past from endDate." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-09T03:00:00+02:00 - name: endDate in: query description: "End date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo timezone)\ \ of aggregated data (inclusive). The time period from startDate to endDate\ \ cannot exceed one month. If endDate is empty, it will be set to current\ \ date and startDate will be set to a date one month in the past." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-10T03:00:00+02:00 - name: consumptionGroup in: query description: The consumption group. required: false deprecated: false explode: false schema: type: string title: String example: industry - name: priceArea in: query description: Price area filter required: false deprecated: false explode: false schema: type: string title: String - name: gridArea in: query description: Grid area filter required: false deprecated: false explode: false schema: type: string title: String - name: productionGroup in: query description: Production group filter required: false deprecated: false explode: false schema: type: string title: String - name: basicStatisticalUnit in: query description: Basic statistical unit required: false deprecated: false explode: false schema: type: string title: String - name: meteringPointTypeCode in: query description: Metering point type code required: false deprecated: false explode: false schema: type: string title: String - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the on behalf party required: false deprecated: false explode: false schema: type: string title: String responses: "200": description: When request is valid. Choose a different dataset under 'Examples' to see different responses headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.MunicipalityResponse" examples: '[No dataset chosen]': value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/municipalities\"\ },\"data\":[{\"type\":\"municipality\",\"id\":\"String\",\"attributes\"\ :{\"municipalityNumber\":\"String\",\"name\":\"String\",\"nameNo\"\ :\"String\"}}]}" ConsumptionPerGroupMunicipalityHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/municipalities?dataset=ConsumptionPerGroupMunicipalityHour\"\ },\"data\":[{\"type\":\"municipality\",\"id\":\"String\",\"attributes\"\ :{\"municipalityNumber\":\"String\",\"name\":\"String\",\"nameNo\"\ :\"String\",\"ConsumptionPerGroupMunicipalityHour\":[{\"consumptionGroup\"\ :\"String\",\"endTime\":\"String\",\"lastUpdatedTime\":\"String\"\ ,\"meteringPointCount\":\"Int\",\"quantityKwh\":\"Float\",\"startTime\"\ :\"String\"}]}}]}" ProductionPerMeteringPointTypeMunicipalityHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/municipalities?dataset=ProductionPerMeteringPointTypeMunicipalityHour\"\ },\"data\":[{\"type\":\"municipality\",\"id\":\"String\",\"attributes\"\ :{\"municipalityNumber\":\"String\",\"name\":\"String\",\"nameNo\"\ :\"String\",\"ProductionPerMeteringPointTypeMunicipalityHour\"\ :[{\"endTime\":\"String\",\"lastUpdatedTime\":\"String\",\"meteringPointCount\"\ :\"Int\",\"meteringPointTypeCode\":\"String\",\"quantityKwh\"\ :\"Float\",\"startTime\":\"String\"}]}}]}" ConsumptionPerMbaMgaMunicipalityNaceCodeConsumptionCodeHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/municipalities?dataset=ConsumptionPerMbaMgaMunicipalityNaceCodeConsumptionCodeHour\"\ },\"data\":[{\"type\":\"municipality\",\"id\":\"String\",\"attributes\"\ :{\"municipalityNumber\":\"String\",\"name\":\"String\",\"nameNo\"\ :\"String\",\"ConsumptionPerMbaMgaMunicipalityNaceCodeConsumptionCodeHour\"\ :[{\"consumptionCode\":\"String\",\"endTime\":\"String\",\"gridArea\"\ :\"String\",\"lastUpdatedTime\":\"String\",\"meteringPointCount\"\ :\"Int\",\"naceCode\":\"String\",\"priceArea\":\"String\",\"quantityKwh\"\ :\"Float\",\"startTime\":\"String\"}]}}]}" ConsumptionPerGroupMunicipalityBasicStatisticalUnitHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/municipalities?dataset=ConsumptionPerGroupMunicipalityBasicStatisticalUnitHour\"\ },\"data\":[{\"type\":\"municipality\",\"id\":\"String\",\"attributes\"\ :{\"municipalityNumber\":\"String\",\"name\":\"String\",\"nameNo\"\ :\"String\",\"ConsumptionPerGroupMunicipalityBasicStatisticalUnitHour\"\ :[{\"basicStatisticalUnit\":\"String\",\"consumptionGroup\":\"\ String\",\"endTime\":\"String\",\"lastUpdatedTime\":\"String\"\ ,\"meteringPointCount\":\"Int\",\"quantityKwh\":\"Float\",\"startTime\"\ :\"String\"}]}}]}" ConsumptionPerMbaMunicipalityNaceCodeConsumptionCodeHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/municipalities?dataset=ConsumptionPerMbaMunicipalityNaceCodeConsumptionCodeHour\"\ },\"data\":[{\"type\":\"municipality\",\"id\":\"String\",\"attributes\"\ :{\"municipalityNumber\":\"String\",\"name\":\"String\",\"nameNo\"\ :\"String\",\"ConsumptionPerMbaMunicipalityNaceCodeConsumptionCodeHour\"\ :[{\"consumptionCode\":\"String\",\"endTime\":\"String\",\"lastUpdatedTime\"\ :\"String\",\"meteringPointCount\":\"Int\",\"naceCode\":\"String\"\ ,\"priceArea\":\"String\",\"quantityKwh\":\"Float\",\"startTime\"\ :\"String\"}]}}]}" ConsumptionPerBalanceSupplierMunicipalityHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/municipalities?dataset=ConsumptionPerBalanceSupplierMunicipalityHour\"\ },\"data\":[{\"type\":\"municipality\",\"id\":\"String\",\"attributes\"\ :{\"municipalityNumber\":\"String\",\"name\":\"String\",\"nameNo\"\ :\"String\",\"ConsumptionPerBalanceSupplierMunicipalityHour\"\ :[{\"consumptionGroup\":\"String\",\"endTime\":\"String\",\"lastUpdatedTime\"\ :\"String\",\"meteringPointCount\":\"Int\",\"quantityKwh\":\"\ Float\",\"startTime\":\"String\"}]}}]}" ProductionPerBalanceSupplierMeteringPointTypeCodeMunicipalityHour: value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/municipalities?dataset=ProductionPerBalanceSupplierMeteringPointTypeCodeMunicipalityHour\"\ },\"data\":[{\"type\":\"municipality\",\"id\":\"String\",\"attributes\"\ :{\"municipalityNumber\":\"String\",\"name\":\"String\",\"nameNo\"\ :\"String\",\"ProductionPerBalanceSupplierMeteringPointTypeCodeMunicipalityHour\"\ :[{\"endTime\":\"String\",\"lastUpdatedTime\":\"String\",\"meteringPointCount\"\ :\"Int\",\"meteringPointTypeCode\":\"String\",\"quantityKwh\"\ :\"Float\",\"startTime\":\"String\"}]}}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/municipalities" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" deprecated: false /energy-data/v0/municipalities/{id}: get: tags: - Municipality summary: Get list of Municipalities and aggregations operationId: municipalities_id parameters: - name: id in: path description: A valid municipality id returned from /municipalities required: true deprecated: false explode: false schema: type: string title: String example: "1101" - name: dataset in: query description: The dataset name. required: false deprecated: false explode: false schema: type: string title: String example: ConsumptionPerGroupMunicipalityHour - name: startDate in: query description: "Start date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone) of aggregated data (inclusive). If startDate is empty, it will\ \ be set to a date one month in the past from endDate." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-09T03:00:00+02:00 - name: endDate in: query description: "End date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo timezone)\ \ of aggregated data (inclusive). The time period from startDate to endDate\ \ cannot exceed one month. If endDate is empty, it will be set to current\ \ date and startDate will be set to a date one month in the past." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-10T03:00:00+02:00 - name: consumptionGroup in: query description: The consumption group. required: false deprecated: false explode: false schema: type: string title: String example: industry - name: priceArea in: query description: Price area filter required: false deprecated: false explode: false schema: type: string title: String - name: gridArea in: query description: Grid area filter required: false deprecated: false explode: false schema: type: string title: String - name: productionGroup in: query description: Production group filter required: false deprecated: false explode: false schema: type: string title: String - name: basicStatisticalUnit in: query description: Basic statistical unit required: false deprecated: false explode: false schema: type: string title: String - name: meteringPointTypeCode in: query description: Metering point type code required: false deprecated: false explode: false schema: type: string title: String - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the on behalf party required: false deprecated: false explode: false schema: type: string title: String responses: "200": description: When request is valid. Choose a different dataset under 'Examples' to see different responses headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.MunicipalityResponse" examples: '[No dataset chosen]': value: "{\"meta\":{\"created\":\"2023-10-01T12:00:00+02:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/municipalities\"\ },\"data\":[{\"type\":\"municipality\",\"id\":\"String\",\"attributes\"\ :{\"municipalityNumber\":\"String\",\"name\":\"String\",\"nameNo\"\ :\"String\"}}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/municipalities/{id}" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Missing authentication: value: |- { "errors": [ { "status": "401", "title": "String", "detail": "creationTime: 2024-10-28T14:40:21+01:00" } ] } "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unauthorized request: value: |- { "errors": [ { "status": "403", "title": "String", "detail": "creationTime: 2024-10-28T14:41:55+01:00" } ] } deprecated: false /energy-data/v0/municipalities{suffix}: get: tags: - Municipality summary: Get list of Municipalities and aggregations operationId: municipalities_export parameters: - name: suffix in: path description: Suffix to specify type of data returned. required: true deprecated: false explode: false schema: type: string title: String example: .csv - name: dataset in: query description: The dataset name. required: true deprecated: false explode: false schema: type: string title: String example: ConsumptionPerGroupMunicipalityHour - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the on behalf party required: false deprecated: false explode: false schema: type: string title: String responses: "302": description: CSV export redirect headers: Location: description: Redirect target (download URL) required: false deprecated: false schema: type: string title: String "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/municipalities{suffix}" } } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Missing authentication: value: |- { "errors": [ { "status": "401", "title": "String", "detail": "creationTime: 2024-10-28T14:40:21+01:00" } ] } "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unauthorized request: value: |- { "errors": [ { "status": "403", "title": "String", "detail": "creationTime: 2024-10-28T14:41:55+01:00" } ] } deprecated: false /energy-data/v0/consumption-groups: get: tags: - Consumption group summary: List all consumption groups description: Provides a list of all available consumption groups. operationId: consumption_groups parameters: [] responses: "200": description: Details for the specified consumption group. headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.ConsumptionGroupResponse" examples: Valid response: value: "{\"meta\":{\"created\":\"2024-11-06T08:55:50+01:00\",\"\ lastUpdated\":\"2024-11-06T08:55:50+01:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/consumption-groups\"},\"\ data\":[{\"type\":\"consumption-groups\",\"id\":\"household\"\ ,\"attributes\":{\"name\":\"Household\",\"description\":\"Meteringpoints\ \ that either have NACE Code XX (Household) or a combination of\ \ NACE Code 68.201 (House cooperative) and Consumption Code 35\ \ (Households)\"}},{\"type\":\"consumption-groups\",\"id\":\"\ cabin\",\"attributes\":{\"name\":\"Cabins and holiday properties\"\ ,\"description\":\"Cabins and vacation homes nace XY\"}},{\"type\"\ :\"consumption-groups\",\"id\":\"primary\",\"attributes\":{\"\ name\":\"Primary Industry\",\"description\":\"All agriculture,\ \ forestry, fishing incl green houses, Division code 1-3 + Y\"\ }},{\"type\":\"consumption-groups\",\"id\":\"secondary\",\"attributes\"\ :{\"name\":\"Secondary Industry\",\"description\":\"All industry\ \ section codes B through F\"}},{\"type\":\"consumption-groups\"\ ,\"id\":\"tertiary\",\"attributes\":{\"name\":\"Tertiary Industry\"\ ,\"description\":\"All section codes G through U. Also includes\ \ all consumption that has incorrect or missing NACE Code.\"}},{\"\ type\":\"consumption-groups\",\"id\":\"industry\",\"attributes\"\ :{\"name\":\"Industry\",\"description\":\"Combination of Primary\ \ and Secondary Industry\"}},{\"type\":\"consumption-groups\"\ ,\"id\":\"private\",\"attributes\":{\"name\":\"Private\",\"description\"\ :\"Combination of Household and Cabin\"}},{\"type\":\"consumption-groups\"\ ,\"id\":\"business\",\"attributes\":{\"name\":\"Business\",\"\ description\":\"Same as Tertiary Industry\"}}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: invalidRequest: value: "{\"errors\":[{\"status\":\"400\",\"title\":\"Invalid request\"\ ,\"detail\":\"creationTime: 2026-09-22T12:35:12+02:00\",\"links\"\ :{\"self\":\"https://api.elhub.no/consumption-groups\"}}]}" "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: unexpectedServerError: value: "{\"errors\":[{\"status\":\"500\",\"title\":\"Unexpected\ \ server error. Try again later.\",\"detail\":\"creationTime:\ \ 2026-09-22T12:35:12+02:00\",\"links\":{\"self\":\"https://api.elhub.no/consumption-groups\"\ }}]}" deprecated: false /energy-data/v0/consumption-groups/{id}: get: tags: - Consumption group summary: Get a specific consumption group by ID description: Provides details for a specific consumption group. operationId: consumption_groups_id parameters: - name: id in: path description: A valid consumption group ID. required: true deprecated: false explode: false schema: type: string title: String example: household responses: "200": description: Details for the specified consumption group. headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.ConsumptionGroupResponse" examples: Valid response: value: "{\"meta\":{\"created\":\"2024-11-06T08:55:50+01:00\",\"\ lastUpdated\":\"2024-11-06T08:55:50+01:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/consumption-groups\"},\"\ data\":[{\"type\":\"consumption-groups\",\"id\":\"household\"\ ,\"attributes\":{\"name\":\"Household\",\"description\":\"Meteringpoints\ \ that either have NACE Code XX (Household) or a combination of\ \ NACE Code 68.201 (House cooperative) and Consumption Code 35\ \ (Households)\"}},{\"type\":\"consumption-groups\",\"id\":\"\ cabin\",\"attributes\":{\"name\":\"Cabins and holiday properties\"\ ,\"description\":\"Cabins and vacation homes nace XY\"}},{\"type\"\ :\"consumption-groups\",\"id\":\"primary\",\"attributes\":{\"\ name\":\"Primary Industry\",\"description\":\"All agriculture,\ \ forestry, fishing incl green houses, Division code 1-3 + Y\"\ }},{\"type\":\"consumption-groups\",\"id\":\"secondary\",\"attributes\"\ :{\"name\":\"Secondary Industry\",\"description\":\"All industry\ \ section codes B through F\"}},{\"type\":\"consumption-groups\"\ ,\"id\":\"tertiary\",\"attributes\":{\"name\":\"Tertiary Industry\"\ ,\"description\":\"All section codes G through U. Also includes\ \ all consumption that has incorrect or missing NACE Code.\"}},{\"\ type\":\"consumption-groups\",\"id\":\"industry\",\"attributes\"\ :{\"name\":\"Industry\",\"description\":\"Combination of Primary\ \ and Secondary Industry\"}},{\"type\":\"consumption-groups\"\ ,\"id\":\"private\",\"attributes\":{\"name\":\"Private\",\"description\"\ :\"Combination of Household and Cabin\"}},{\"type\":\"consumption-groups\"\ ,\"id\":\"business\",\"attributes\":{\"name\":\"Business\",\"\ description\":\"Same as Tertiary Industry\"}}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: invalidRequest: value: "{\"errors\":[{\"status\":\"400\",\"title\":\"Invalid request\"\ ,\"detail\":\"creationTime: 2026-09-22T12:35:12+02:00\",\"links\"\ :{\"self\":\"https://api.elhub.no/consumption-groups/{id}\"}}]}" "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: unexpectedServerError: value: "{\"errors\":[{\"status\":\"500\",\"title\":\"Unexpected\ \ server error. Try again later.\",\"detail\":\"creationTime:\ \ 2026-09-22T12:35:12+02:00\",\"links\":{\"self\":\"https://api.elhub.no/consumption-groups/{id}\"\ }}]}" deprecated: false /energy-data/v0/metering-points: get: tags: - Metering points summary: Get list of metering points operationId: metering_points parameters: - name: dataset in: query description: The dataset name. required: false deprecated: false explode: false schema: type: string title: String example: METERING_VALUES_HOUR_RESTRICTED - name: startDate in: query description: "Start date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone) of the dataset (inclusive). If empty, it will be set to a date\ \ based on the max date range allowed from endDate." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-05T03:00:00+02:00 - name: endDate in: query description: "End date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo timezone)\ \ of the dataset (inclusive). If empty, it will be set to current date and\ \ startDate will be set to a date based on max date range for the dataset." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-15T03:00:00+02:00 - name: insertDateTime in: query description: "Insert date time (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone)." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-15T03:00:00+02:00 - name: usageDate in: query description: "Usage date (Format: yyyy-MM-dd) of the dataset. If empty, it\ \ will be set to current date." required: false deprecated: false explode: false schema: type: string title: String example: 2024-01-01 - name: meteringPointType in: query description: "Type of metering point. Possible values: E18, E19" required: false deprecated: false explode: false schema: type: string title: String example: E18 - name: granularity in: query description: "Granularity of the metering values. Possible values: INTERVAL,\ \ DAILY, MONTHLY, YEARLY" required: false deprecated: false explode: false schema: type: string title: String example: DAILY - name: endUserId in: query description: End user identifier required: false deprecated: false explode: false schema: type: string title: String - name: includeAllMeasurements in: query description: Include all measurements (Y/N) required: false deprecated: false explode: false schema: type: string title: String - name: productionPlantId in: query description: The production plant identifier. Filter param for the PRODUCTION_REVENUE_PER_YEAR_RESTRICTED dataset required: false deprecated: false explode: false schema: type: string title: String - name: productionGroup in: query description: "Production group identifier. Filter param for the PRODUCTION_REVENUE_PER_YEAR_RESTRICTED\ \ dataset. Allowed values: wind, hydro" required: false deprecated: false explode: false schema: type: string title: String - name: includeSubGrid in: query description: "Subgrid filter for installed capacity. (Y/N). Defaults to Y.\ \ When Y, subgrids are included and accounting points representing the subgrid\ \ total installed capacity are excluded to avoid double counting." required: false deprecated: false explode: false schema: type: string title: String - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the on behalf party required: false deprecated: false explode: false schema: type: string title: String responses: "200": description: When request is valid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.MeteringPointResponse" examples: Valid request: value: "{\"meta\":{\"created\":\"2024-11-06T09:03:12+01:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/metering-points/{id}\"\ },\"data\":[{\"type\":\"metering-points\",\"id\":\"String\",\"\ relationships\":{\"grid-area\":{\"data\":{\"type\":\"grid-areas\"\ ,\"id\":\"String\"}},\"grid-owner\":{\"data\":{\"type\":\"parties\"\ ,\"id\":\"String\"}},\"price-area\":{\"data\":{\"type\":\"price-areas\"\ ,\"id\":\"String\"}}},\"attributes\":{\"status\":\"Active\"}}],\"\ included\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"attributes\"\ :{\"name\":\"String\",\"status\":\"Active\",\"eic\":\"String\"\ }},{\"type\":\"parties\",\"id\":\"String\",\"attributes\":{\"\ gln\":\"String\",\"partyTypes\":[\"GridOwner\"],\"name\":\"String\"\ ,\"organisationNumber\":\"String\"}},{\"type\":\"price-areas\"\ ,\"id\":\"String\",\"attributes\":{\"name\":\"String\",\"eic\"\ :\"String\",\"country\":\"NO\"}}]}" "204": description: No metering points found headers: {} "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/metering-points" } } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Missing authentication: value: |- { "errors": [ { "status": "401", "title": "String", "detail": "creationTime: 2024-10-28T14:40:21+01:00" } ] } "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unauthorized request: value: |- { "errors": [ { "status": "403", "title": "String", "detail": "creationTime: 2024-10-28T14:41:55+01:00" } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } deprecated: false /energy-data/v0/metering-points/{id}: get: tags: - Metering points summary: Get metering point by ID operationId: metering_points_id parameters: - name: id in: path description: |- Unique identification of Metering point. More info https://gs1.no/malepunkt-id/ Format: String with 18 digits required: true deprecated: false explode: false schema: type: string title: String example: "707057500999999999" - name: dataset in: query description: The dataset name. required: false deprecated: false explode: false schema: type: string title: String example: METERING_VALUES_HOUR_RESTRICTED - name: startDate in: query description: "Start date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone) of the dataset (inclusive). If empty, it will be set to a date\ \ based on the max date range allowed from endDate." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-05T03:00:00+02:00 - name: endDate in: query description: "End date (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo timezone)\ \ of the dataset (inclusive). If empty, it will be set to current date and\ \ startDate will be set to a date based on max date range for the dataset." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-15T03:00:00+02:00 - name: insertDateTime in: query description: "Insert date time (Format: yyyy-MM-dd'T'HH:mm:ssXXX at Europe/Oslo\ \ timezone)." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-15T03:00:00+02:00 - name: usageDate in: query description: "Usage date (Format: yyyy-MM-dd) of the dataset. If empty, it\ \ will be set to current date." required: false deprecated: false explode: false schema: type: string title: String example: 2024-01-01 - name: meteringPointType in: query description: "Type of metering point. Possible values: E18, E19" required: false deprecated: false explode: false schema: type: string title: String example: E18 - name: granularity in: query description: "Granularity of the metering values. Possible values: INTERVAL,\ \ DAILY, MONTHLY, YEARLY" required: false deprecated: false explode: false schema: type: string title: String example: DAILY - name: endUserId in: query description: End user identifier required: false deprecated: false explode: false schema: type: string title: String - name: includeAllMeasurements in: query description: Include all measurements (Y/N) required: false deprecated: false explode: false schema: type: string title: String - name: productionPlantId in: query description: The production plant identifier. Filter param for the PRODUCTION_REVENUE_PER_YEAR_RESTRICTED dataset required: false deprecated: false explode: false schema: type: string title: String - name: productionGroup in: query description: "Production group identifier. Filter param for the PRODUCTION_REVENUE_PER_YEAR_RESTRICTED\ \ dataset. Allowed values: wind, hydro" required: false deprecated: false explode: false schema: type: string title: String - name: includeSubGrid in: query description: "Subgrid filter for installed capacity. (Y/N). Defaults to Y.\ \ When Y, subgrids are included and accounting points representing the subgrid\ \ total installed capacity are excluded to avoid double counting." required: false deprecated: false explode: false schema: type: string title: String - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: 'Bearer '." required: false deprecated: false explode: false schema: type: string title: String - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the on behalf party required: false deprecated: false explode: false schema: type: string title: String responses: "200": description: When request is valid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.MeteringPointResponse" examples: Valid request: value: "{\"meta\":{\"created\":\"2024-11-06T09:03:12+01:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/metering-points/{id}\"\ },\"data\":[{\"type\":\"metering-points\",\"id\":\"String\",\"\ relationships\":{\"grid-area\":{\"data\":{\"type\":\"grid-areas\"\ ,\"id\":\"String\"}},\"grid-owner\":{\"data\":{\"type\":\"parties\"\ ,\"id\":\"String\"}},\"price-area\":{\"data\":{\"type\":\"price-areas\"\ ,\"id\":\"String\"}}},\"attributes\":{\"status\":\"Active\"}}],\"\ included\":[{\"type\":\"grid-areas\",\"id\":\"String\",\"attributes\"\ :{\"name\":\"String\",\"status\":\"Active\",\"eic\":\"String\"\ }},{\"type\":\"parties\",\"id\":\"String\",\"attributes\":{\"\ gln\":\"String\",\"partyTypes\":[\"GridOwner\"],\"name\":\"String\"\ ,\"organisationNumber\":\"String\"}},{\"type\":\"price-areas\"\ ,\"id\":\"String\",\"attributes\":{\"name\":\"String\",\"eic\"\ :\"String\",\"country\":\"NO\"}}]}" "204": description: No metering point found headers: {} "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/metering-points/{id}" } } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Missing authentication: value: |- { "errors": [ { "status": "401", "title": "String", "detail": "creationTime: 2024-10-28T14:40:21+01:00" } ] } "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unauthorized request: value: |- { "errors": [ { "status": "403", "title": "String", "detail": "creationTime: 2024-10-28T14:41:55+01:00" } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } deprecated: false /energy-data/v0/metering-points/{id}/address/(Authorize token.validate): get: tags: - Metering points summary: Get metering point geo data by ID operationId: metering_points_id_address parameters: - name: id in: path description: |- Unique identification of Metering point. More info https://gs1.no/malepunkt-id/ Format: String with 18 digits required: true deprecated: false explode: false schema: type: string title: String example: "707057500999999999" - name: Authorization in: header description: Internal bearer token. required: true deprecated: false explode: false schema: type: string title: String responses: "200": description: When request is valid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.MeteringPointResponse" examples: Valid request: value: |- { "meta": { "created": "2026-05-08T09:29:19+02:00" }, "links": { "self": "https://api.elhub.cloud/energy-data/v0/metering-points/301476200000000032/address" }, "data": [ { "type": "metering-points", "id": "707057500999999999", "attributes": { "meteringPointCoordinate": [ { "meteringPointId": "707057500999999999", "postalCode": "0150", "cadastreAddressId": 123456, "cadastreMatchStatusCode": "EXACT", "positionDerivedFrom": "CADASTRE", "longitude": 10.7522, "latitude": 59.9139, "meteringPointLongitude": 10.7525, "meteringPointLatitude": 59.9140, "cadastreLongitude": 10.7520, "cadastreLatitude": 59.9138, "postalCodeLongitude": 10.7500, "postalCodeLatitude": 59.9150, "distancePosToMp": 5, "distancePosToCadastre": 10, "distancePosToPostal": 25, "distanceMpToCadastre": 8, "distanceMpToPostal": 30, "distanceCadastreToPostal": 35, "insertTime": "2024-10-28T14:15:45+01:00", "lastUpdateTime": "2024-10-28T14:15:45+01:00" } ] } } ] } "204": description: No metering point geo data found headers: {} "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Invalid request: value: |- { "errors": [ { "status": "400", "title": "String", "detail": "creationTime: 2024-10-28T14:15:45+01:00", "links": { "self": "https://api.elhub.no/energy-data/v0/metering-points/{id}/address" } } ] } "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Missing authentication: value: |- { "errors": [ { "status": "401", "title": "String", "detail": "creationTime: 2024-10-28T14:40:21+01:00" } ] } "403": description: When the request lacks valid authorization headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unauthorized request: value: |- { "errors": [ { "status": "403", "title": "String", "detail": "creationTime: 2024-10-28T14:41:55+01:00" } ] } "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: Unexpected server error: value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } deprecated: false /energy-data/v0/production-groups: get: tags: - Production group summary: List of production groups operationId: production_groups parameters: [] responses: "200": description: When request is valid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.ProductionGroupResponse" examples: validRequest: summary: Valid request value: "{\"meta\":{\"created\":\"2024-11-06T09:12:30+01:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/production-groups\"\ },\"data\":[{\"type\":\"production-groups\",\"id\":\"solar\",\"\ attributes\":{\"name\":\"Solar\",\"description\":\"Unit in which\ \ solar energy is converted to electricity with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"hydro\",\"attributes\"\ :{\"name\":\"Hydro\",\"description\":\"Unit in which moving water\ \ energy is converted to electricity with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"wind\",\"attributes\"\ :{\"name\":\"Wind\",\"description\":\"Unit in which wind energy\ \ is converted to electricity with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"thermal\",\"attributes\"\ :{\"name\":\"Thermal\",\"description\":\"Unit in which heat energy\ \ is converted to electricity with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"nuclear\",\"attributes\"\ :{\"name\":\"Nuclear\",\"description\":\"Unit in which the heat\ \ source is a nuclear reactor with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"other\",\"attributes\"\ :{\"name\":\"Other\",\"description\":\"Other unspecified technology.\"\ }}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: invalidRequest: value: "{\"errors\":[{\"status\":\"400\",\"title\":\"Invalid request\"\ ,\"detail\":\"creationTime: 2026-09-22T12:35:12+02:00\",\"links\"\ :{\"self\":\"https://api.elhub.no/production-groups\"}}]}" "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: unexpectedServerError: summary: Unexpected server error value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } deprecated: false /energy-data/v0/production-groups/{id}: get: tags: - Production group summary: Get a specific production group by ID operationId: production_groups_id parameters: - name: id in: path description: A valid production group id returned from /production-groups required: true deprecated: false explode: false schema: type: string title: String example: solar responses: "200": description: When request is valid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.ProductionGroupResponse" examples: validRequest: summary: Valid request value: "{\"meta\":{\"created\":\"2024-11-06T09:12:30+01:00\"},\"\ links\":{\"self\":\"https://api.elhub.no/energy-data/v0/production-groups\"\ },\"data\":[{\"type\":\"production-groups\",\"id\":\"solar\",\"\ attributes\":{\"name\":\"Solar\",\"description\":\"Unit in which\ \ solar energy is converted to electricity with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"hydro\",\"attributes\"\ :{\"name\":\"Hydro\",\"description\":\"Unit in which moving water\ \ energy is converted to electricity with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"wind\",\"attributes\"\ :{\"name\":\"Wind\",\"description\":\"Unit in which wind energy\ \ is converted to electricity with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"thermal\",\"attributes\"\ :{\"name\":\"Thermal\",\"description\":\"Unit in which heat energy\ \ is converted to electricity with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"nuclear\",\"attributes\"\ :{\"name\":\"Nuclear\",\"description\":\"Unit in which the heat\ \ source is a nuclear reactor with unspecified equipment/devices.\"\ }},{\"type\":\"production-groups\",\"id\":\"other\",\"attributes\"\ :{\"name\":\"Other\",\"description\":\"Other unspecified technology.\"\ }}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: invalidRequest: value: "{\"errors\":[{\"status\":\"400\",\"title\":\"Invalid request\"\ ,\"detail\":\"creationTime: 2026-09-22T12:35:12+02:00\",\"links\"\ :{\"self\":\"https://api.elhub.no/production-groups/{id}\"}}]}" "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: unexpectedServerError: summary: Unexpected server error value: |- { "errors": [ { "status": "500", "title": "String", "detail": "creationTime: 2024-10-28T14:38:13+01:00" } ] } deprecated: false /energy-data/v0/updates: get: tags: - Updates summary: Provides updates about changes in dataset parameters: - name: lastUpdated in: query description: "Updates that occurred on or after the specified `lastUpdated`\ \ time (Format: `yyyy-MM-dd'T'HH:mm:ssXXX` at Europe/Oslo timezone). If\ \ `lastUpdated` is not provided, it defaults to 24 hours before the current\ \ time." required: false deprecated: false explode: false schema: type: string title: String example: 2023-04-05T03:00:00+02:00 - name: dataset in: query description: The dataset name. required: false deprecated: false explode: false schema: type: string title: String example: consumption_per_group_mba_hour responses: "200": description: When request is valid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.response.UpdatesResponse" examples: consumption_per_group_mba_hour: summary: consumption_per_group_mba_hour value: "{\"meta\":{\"created\":\"2024-11-06T09:28:20+01:00\",\"\ lastUpdated\":\"2024-11-06T09:28:20+01:00\"},\"links\":{\"self\"\ :\"https://api.elhub.no/energy-data/v0/updates?dataset=consumption_per_group_mba_hour\"\ },\"data\":[{\"type\":\"updates\",\"id\":\"20241030_consumption_per_group_mba_hour\"\ ,\"links\":{\"href\":\"https://api.elhub.no/energy-data/v0/price-areas?dataset=consumption_per_group_mba_hour&startDate=2024-10-30&endDate=2024-10-31\"\ },\"attributes\":{\"dataset\":\"consumption_per_group_mba_hour\"\ ,\"entity\":\"price-areas\",\"usageDate\":\"2024-10-30\",\"updateTime\"\ :\"2024-11-05T13:41:33+01:00\"}},{\"type\":\"updates\",\"id\"\ :\"20241031_consumption_per_group_mba_hour\",\"links\":{\"href\"\ :\"https://api.elhub.no/energy-data/v0/price-areas?dataset=consumption_per_group_mba_hour&startDate=2024-10-31&endDate=2024-11-01\"\ },\"attributes\":{\"dataset\":\"consumption_per_group_mba_hour\"\ ,\"entity\":\"price-areas\",\"usageDate\":\"2024-10-31\",\"updateTime\"\ :\"2024-11-05T13:41:36+01:00\"}}]}" "400": description: When the request is invalid headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: invalidRequest: value: "{\"errors\":[{\"status\":\"400\",\"title\":\"Invalid request\"\ ,\"detail\":\"creationTime: 2026-09-22T12:35:12+02:00\",\"links\"\ :{\"self\":\"https://api.elhub.no/updates\"}}]}" "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: unexpectedServerError: value: "{\"errors\":[{\"status\":\"500\",\"title\":\"Unexpected\ \ server error. Try again later.\",\"detail\":\"creationTime:\ \ 2026-09-22T12:35:12+02:00\",\"links\":{\"self\":\"https://api.elhub.no/updates\"\ }}]}" deprecated: false /energy-data/v0/secure-ping: get: tags: - Secure ping summary: Secure ping endpoint parameters: - name: Authorization in: header description: "Include the bearer token obtained from Maskinporten in the Authorization\ \ header. Format: `Bearer `." required: true deprecated: false explode: false schema: type: string title: String example: Bearer eyJhbGciOi... - name: X-Elhub-GLN in: header description: Sender (Own) GLN value required: false deprecated: false explode: false schema: type: string title: String - name: On-Behalf-Of in: header description: GLN value of the onbehalf party required: false deprecated: false explode: false schema: type: string title: String responses: "200": description: Successful ping response when the token is valid headers: {} content: application/json: schema: type: string title: String examples: pong: summary: Pong response value: "{\"message\": \"Pong! Elhoo.\"}" "401": description: The request lacks valid authentication credentials headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: unauthorized: value: "{\"errors\":[{\"status\":\"401\",\"title\":\"Unauthorized\"\ ,\"detail\":\"creationTime: 2026-09-22T12:35:12+02:00\",\"links\"\ :{\"self\":\"https://api.elhub.no/energy-data/v0/secure-ping\"\ }}]}" "403": description: Authenticated but not authorized to access the resource headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: forbidden: value: "{\"errors\":[{\"status\":\"403\",\"title\":\"Forbidden\"\ ,\"detail\":\"creationTime: 2026-09-22T12:35:12+02:00\",\"links\"\ :{\"self\":\"https://api.elhub.no/energy-data/v0/secure-ping\"\ }}]}" "500": description: Unexpected server error headers: {} content: application/vnd.api+json: schema: $ref: "#/components/schemas/jsonapi.Error" examples: unexpectedError: value: "{\"errors\":[{\"status\":\"500\",\"title\":\"Unexpected\ \ server error. Try again later.\",\"detail\":\"creationTime:\ \ 2026-09-22T12:35:12+02:00\",\"links\":{\"self\":\"https://api.elhub.no/energy-data/v0/secure-ping\"\ }}]}" deprecated: false components: schemas: no.elhub.ds.energy.data.models.EntityMeta: type: object properties: datasets: type: - "null" - array description: List of datasets items: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.DataSetMeta" title: List description: type: - "null" - string description: Short description for the entity title: String id: type: - "null" - string description: Entity identification string title: String noOfDataSets: type: - "null" - integer format: int32 description: Number of datasets belonging to this entity title: Int title: EntityMeta no.elhub.ds.energy.data.models.DataSetMeta: type: object properties: columns: type: array description: List of database columns items: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.DatasetAttributes" title: List datePolicyWithId: type: - "null" - string description: Date policy used when request contains an entity id title: String datePolicyWithoutId: type: - "null" - string description: Date policy used when request does not contain an entity id title: String description: type: - "null" - string description: Dataset description title: String exportable: type: boolean description: Is the dataset exportable title: Boolean filters: type: - "null" - array description: Filters items: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.DataSetFilter" title: List maxDateRange: type: string description: Maximum date range title: String name: type: - "null" - string description: Dataset name title: String openDataSet: type: - "null" - boolean description: Is the dataset open to access title: Boolean resolution: type: string description: "Dataset resolution: can be daily, hourly, etc." title: String routeAvailability: $ref: "#/components/schemas/no.elhub.ds.energy.data.models.RouteAvailability" description: Route availability scopes: type: - "null" - array description: Scopes items: type: string title: String title: List required: - columns - exportable - maxDateRange - resolution - routeAvailability title: DataSetMeta no.elhub.ds.energy.data.models.DatasetAttributes: type: object properties: description: type: string title: String name: type: string title: String type: type: string title: String required: - description - name - type title: DatasetAttributes no.elhub.ds.energy.data.models.DataSetFilter: type: object properties: defaultValue: type: - "null" - string description: Default value for the filter title: String name: type: string
[...]
